[polly] r195935 - (re)enable formatting checks
Tobias Grosser
tobias at grosser.es
Thu Nov 28 15:35:08 PST 2013
Author: grosser
Date: Thu Nov 28 17:35:08 2013
New Revision: 195935
URL: http://llvm.org/viewvc/llvm-project?rev=195935&view=rev
Log:
(re)enable formatting checks
Modified:
polly/trunk/utils/check_format.sh
Modified: polly/trunk/utils/check_format.sh
URL: http://llvm.org/viewvc/llvm-project/polly/trunk/utils/check_format.sh?rev=195935&r1=195934&r2=195935&view=diff
==============================================================================
--- polly/trunk/utils/check_format.sh (original)
+++ polly/trunk/utils/check_format.sh Thu Nov 28 17:35:08 2013
@@ -6,8 +6,7 @@ if [ "${CLANG_FORMAT}x" = "x" ]; then
CLANG_FORMAT=`which clang-format`
if [ "${CLANG_FORMAT}x" = "x" ]; then
echo "Error: cannot find clang-format in your path"
- # Disable error reporting to silence the buildbots
- exit 0
+ exit 1
fi
fi
@@ -24,7 +23,7 @@ for ARG in "$@"
if [[ $OK -eq "1" ]]; then
echo "Error: clang-format reported formatting differences"
- exit 0
+ exit 1
else
echo "OK: clang-format reported no formatting differences"
exit 0
More information about the llvm-commits
mailing list